@import 'variables';

.Books__books {
    display: flex;
    flex-wrap: wrap;
    position: inherit;
    overflow-y: auto;
    max-height: 575px;

    .Books__book {
        display: flex;
        flex: 0 0 33.3333%;

        .Books__book-container {
            display: flex;
            justify-content: left;
            flex: 1;
            margin: 0.5em;
            padding: 1em;
            background-color: $color-first;
            transition: all ease-out 0.3s;

            &:hover {
                background-color: $color-second;
                color: #ffffff;
                cursor: pointer;
                transform: scale(1.03);
            }
        }

        .Books__book-image {
            flex: 1;
            justify-content: left;
            width: 100%;
            height: 100%;
        }

        .Books__book-info {
            flex: 3;
            padding: 1em 0 0 1em;
            font-weight: 100;

            .Books__book-title {
                font-size: 18px;
            }
            .Books__book-subtitle {
                font-size: 14px;
                font-style: italic;
            }
        }
    }
}
